Bug 1832629 - Router metrics don't expose 4xx
Summary: Router metrics don't expose 4xx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Clayton Coleman
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-07 00:00 UTC by Jeremy Eder
Modified: 2020-07-13 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:35:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
reference 4xx prometheus query on v4.4 UI (168.90 KB, image/png)
2020-05-20 05:26 UTC, Arvind iyengar
no flags Details
4xx queries in prometheus UI on patched nightly version (141.23 KB, image/png)
2020-05-20 05:27 UTC, Arvind iyengar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 128 0 None closed Bug 1832629: Add metrics for 1xx, 3xx, and 4xx request counters, add latency, track reused connections 2020-10-26 15:52:06 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:35:57 UTC

Description Jeremy Eder 2020-05-07 00:00:49 UTC
Description of problem:
We found that in OCP4, the router does not return 4xx error codes.  This makes it impossible to calculate accurate SLIs.

Example query:
sum(irate(haproxy_frontend_http_responses_total{frontend=~"$frontend",code=~"$code",instance=~"$host:$port"}[5m])) by (code)

Comment 1 Jeremy Eder 2020-05-07 00:01:41 UTC
Originally filed here:  https://github.com/openshift/router/issues/81

Comment 4 Arvind iyengar 2020-05-20 05:25:11 UTC
The PR merge made into "4.5.0-0.nightly-2020-05-18-165746" release version and it is noted that the 4xx metrics are being exposed properly.

Comment 5 Arvind iyengar 2020-05-20 05:26:24 UTC
Created attachment 1690070 [details]
reference 4xx prometheus query on v4.4 UI

Comment 6 Arvind iyengar 2020-05-20 05:27:30 UTC
Created attachment 1690071 [details]
4xx queries in prometheus UI on patched nightly version

Comment 7 Stephen Greene 2020-07-10 20:12:34 UTC
For future reference this was backported to 4.4 in https://github.com/openshift/router/pull/141

Comment 8 errata-xmlrpc 2020-07-13 17:35:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.